package com.yifu.cloud.plus.v1.yifu.archives.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.yifu.archives.entity.TProveRecord;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @author pwang
 * @date 2019-11-05 15:24:25
 */
public interface TProveRecordService extends IService<TProveRecord> {

	/**
	 * 简单分页查询
	 */
	IPage<TProveRecord> getTProveRecordPage(Page<TProveRecord> page, TProveRecord tProveRecord);

	void saveNo(TProveRecord record);

	List<TProveRecord> getRecordInfoNoPage(TProveRecord pr);

	void listExport(HttpServletResponse response, TProveRecord searchVo);
}
